Package com.saxonica.expr

## Class StaticQueryContextPE

- java.lang.Object
- - net.sf.saxon.query.StaticQueryContext
  - - com.saxonica.expr.StaticQueryContextPE

- Direct Known Subclasses:
    `StaticQueryContextEE`

      public class StaticQueryContextPE
      extends StaticQueryContext

  A version of StaticQueryContext for Saxon-PE

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticQueryContextPE​(ProfessionalConfiguration config, boolean initialize)` |
    `StaticQueryContextPE​(Configuration config)` | Create a StaticQueryContext using a given Configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FunctionLibrary` | `getExtensionFunctionLibrary()` | Get any function library that was previously set using `setExtensionFunctionLibrary(net.sf.saxon.functions.FunctionLibrary)`.
    `void` | `setExtensionFunctionLibrary​(FunctionLibrary library)` | Set a library of extension functions.

    - ### Methods inherited from class net.sf.saxon.query.StaticQueryContext

      `clearDeclaredGlobalVariables, clearNamespaces, compileLibrary, compileLibrary, compileLibrary, compileQuery, compileQuery, compileQuery, copyFrom, declareDefaultCollation, declareGlobalVariable, declareNamespace, getBaseURI, getCodeInjector, getCompiledLibraries, getCompiledLibrary, getConfiguration, getConstructionMode, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getErrorListener, getErrorReporter, getLanguageVersion, getModuleLocation, getModuleURIResolver, getNamePool, getNamespaceForPrefix, getOptimizerOptions, getRequiredContextItemType, getSystemId, getUserDeclaredNamespaces, isCompileWithTracing, isEmptyLeast, isInheritNamespaces, isPreserveBoundarySpace, isPreserveNamespaces, isSchemaAware, isStreaming, isUpdating, isUpdatingEnabled, iterateDeclaredGlobalVariables, iterateDeclaredPrefixes, makeDefaultStaticQueryContext, makeExecutable, reset, setBaseURI, setCodeInjector, setCompileWithTracing, setConfiguration, setConstructionMode, setDefaultElementNamespace, setDefaultFunctionNamespace, setEmptyLeast, setErrorListener, setErrorReporter, setInheritNamespaces, setLanguageVersion, setModuleLocation, setModuleURIResolver, setOptimizerOptions, setPreserveBoundarySpace, setPreserveNamespaces, setRequiredContextItemType, setSchemaAware, setStreaming, setUpdatingEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticQueryContextPE

          public StaticQueryContextPE​(Configuration config)

      Create a StaticQueryContext using a given Configuration. This creates a StaticQueryContext for a main module (that is, a module that is not a library module). The static context is initialized from defaults held in the Configuration.
      Parameters:
        `config` - the Saxon Configuration
      Since:
        9.2

    - #### StaticQueryContextPE

          public StaticQueryContextPE​(ProfessionalConfiguration config,
                                      boolean initialize)

  - ### Method Detail

    - #### setExtensionFunctionLibrary

          public void setExtensionFunctionLibrary​(FunctionLibrary library)

      Set a library of extension functions. The functions in this library will be available in all modules of the query. The function library will be searched after language-defined libraries (such as built-in functions, user-defined XQuery functions, and constructor functions) but before extension functions defined at the Configuration level.
      Parameters:
        `library` - the function library to be added (replacing any that has previously been set). May be null to clear a previously-set library
      Since:
        9.4

    - #### getExtensionFunctionLibrary

          public FunctionLibrary getExtensionFunctionLibrary()

      Get any function library that was previously set using `setExtensionFunctionLibrary(net.sf.saxon.functions.FunctionLibrary)`.
      Overrides:
        `getExtensionFunctionLibrary` in class `StaticQueryContext`
      Returns:
        the extension function library, or null if none has been set.
      Since:
        9.4